<!-- markdownlint-disable -->

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/scalar.py#L0"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

# <kbd>module</kbd> `concrete.fhe.values.scalar`
Declaration of `ClearScalar` and `EncryptedScalar` wrappers. 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/scalar.py#L9"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `clear_scalar_builder`

```python
clear_scalar_builder(dtype: BaseDataType) → ValueDescription
```

Build a clear scalar value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 



**Returns:**
  ValueDescription:  clear scalar value description with given dtype 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/scalar.py#L9"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `clear_scalar_builder`

```python
clear_scalar_builder(dtype: BaseDataType) → ValueDescription
```

Build a clear scalar value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 



**Returns:**
  ValueDescription:  clear scalar value description with given dtype 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/scalar.py#L28"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `encrypted_scalar_builder`

```python
encrypted_scalar_builder(dtype: BaseDataType) → ValueDescription
```

Build an encrypted scalar value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 



**Returns:**
  ValueDescription:  encrypted scalar value description with given dtype 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/scalar.py#L28"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `encrypted_scalar_builder`

```python
encrypted_scalar_builder(dtype: BaseDataType) → ValueDescription
```

Build an encrypted scalar value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 



**Returns:**
  ValueDescription:  encrypted scalar value description with given dtype 


